# ![Map Gen Banner](https://raw.githubusercontent.com/Packer/packer.github.io/main/images/screenshots/mapGen_00.jpg)

An advanced map generator with Supply Raid & H3MP support

[![alt Donate](https://panels.twitch.tv/panel-144861150-image-4b4979bd-b8e5-4b3c-9aab-28bf6b082007)](https://ko-fi.com/packerb)

# Features

* World Settings - Highly customisable settings for unique world generations
* Seed Based Generation - Recreate your favourite generated maps reusing the same seed and world settings
* Profiles - Save and Load your generation settings
* Day / Night System - Choose time of day, light levels and day length
* Custom Mod Support - Add new Themes and Landscapes through custom mods
* Optional Supply Raid Support - Generate custom Supply Raid maps
* Optional H3MP Support - Sync all generator settings between players in H3MP



|  |  |
| ----------- | ----------- |
| ![alt MapGen1](https://raw.githubusercontent.com/Packer/packer.github.io/main/images/screenshots/mapGen_01.jpg)      | ![alt MapGen2](https://raw.githubusercontent.com/Packer/packer.github.io/main/images/screenshots/mapGen_02.jpg)       |
| ![alt MapGen3](https://raw.githubusercontent.com/Packer/packer.github.io/main/images/screenshots/mapGen_03.jpg)      | ![alt MapGen4](https://raw.githubusercontent.com/Packer/packer.github.io/main/images/screenshots/mapGen_04.jpg)       |

# Supported Custom Themes:

[![alt Tatooine](https://gcdn.thunderstore.io/live/repository/icons/Packer-PMG_Tatooine-1.0.0.png.256x256_q95_crop.jpg)](https://h3vr.thunderstore.io/package/Packer/PMG_Tatooine/)


#### Special Thanks to Feepan
Commisioned additional work on the prototype

Additional Thanks to Glendening for Testing